Bug 999896 - When RuntimeException occurs at endAction, the endAction part will be rerun over and over again
When RuntimeException occurs at endAction, the endAction part will be rerun o...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Ravi Nori
Tareq Alayan
: CodeChange
Depends On:
Blocks: 998239 999821
  Show dependency treegraph
Reported: 2013-08-22 06:49 EDT by Yair Zaslavsky
Modified: 2016-02-10 14:24 EST (History)
8 users (show)

See Also:
Fixed In Version: si14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18609 None None None Never

  None (edit)
Description Yair Zaslavsky 2013-08-22 06:49:39 EDT
Description of problem:

From CommandAsyncTask.EndCommandAction :

It can be seen vdcReturnValue  = Backend.getInstance().endAction is invoked in try catch block.
in case of RuntimeException the exception is just logged.
HandleEndActionResults gets vdcReturnValue as parameter, and if its null, the task is repolled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

endAction is run over and over again.

Expected results:

endAction should be run only once, log should clearly indicate that something wrong occured during running of endAction of the command.

Additional info:
Comment 6 Allon Mureinik 2013-09-01 04:34:29 EDT
Closing bug 998239 as a duplicate of this bug, since once this one is closed, there will be no additional actions to fix 998239.

When verifying, please take these step under consideration:

Steps to Reproduce:
Create NFS Data Center with two Storage Domain
Create VM with one disk
Start to install OS on this VM
During installation OS, run Live Storage Migration (LSM)

Actual results:
Failed run LSM

Expected results:
Succeed run LSM

Impact on user:
Failed run LSM
Comment 7 Allon Mureinik 2013-09-01 04:35:03 EDT
*** Bug 998239 has been marked as a duplicate of this bug. ***
Comment 9 Tareq Alayan 2013-09-18 03:09:44 EDT
Comment 10 Itamar Heim 2014-01-21 17:33:06 EST
Closing - RHEV 3.3 Released
Comment 11 Itamar Heim 2014-01-21 17:33:11 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.